##
##  tiff.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         tiff
Summary:      Tag Image File Format (TIFF) Image Library
URL:          http://www.libtiff.org/
Vendor:       SGI
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Graphics
License:      GPL
Version:      3.5.7
Release:      20020416

#   list of sources
Source0:      ftp://ftp.remotesensing.org/pub/libtiff/tiff-v%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    TIFF is a widely used format for storing image data.

%prep
    %setup -q -n tiff-v%{version}

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=$RPM_BUILD_ROOT%{l_prefix} \
        --noninteractive
    %{l_make} %{l_mflags -O}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib \
        $RPM_BUILD_ROOT%{l_prefix}/include/tiff \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1 \
        $RPM_BUILD_ROOT%{l_prefix}/man/man3
    (cd libtiff && tar cf - libtiff.*) |\
    (cd $RPM_BUILD_ROOT%{l_prefix}/lib && tar xf -)
    (cd libtiff && tar cf - *.h) |\
    (cd $RPM_BUILD_ROOT%{l_prefix}/include/tiff && tar xf -)
    (cd tools
     for tool in *; do
         if [ -x $tool ]; then
             echo $tool
         fi
     done
    ) | (cd tools && xargs tar cf -) |\
    (cd $RPM_BUILD_ROOT%{l_prefix}/bin && tar xf -)
    (cd man/apps && tar cf - *.1) |\
    (cd $RPM_BUILD_ROOT%{l_prefix}/man/man1 && tar xf -)
    (cd man/lib
     for manpage in *.3t; do
         base=`echo $manpage | sed -e 's;\.3t$;;'`
         mv $base.3t $base.3
         echo $base.3
     done
    ) | (cd man/lib && xargs tar cf -) |\
    (cd $RPM_BUILD_ROOT%{l_prefix}/man/man3 && tar xf -)
    (cd $RPM_BUILD_ROOT%{l_prefix}/lib
        rm -f libtiff.so* libtiff.def 2>&1 || true
    )
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

